LibreOffice: PathSettings Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
PathSettings Service Referencepublished

A legacy (single-instance) service-variant of thePathSettings singleton. More...

`import"PathSettings.idl";`

Inheritance diagram for PathSettings:

## Additional Inherited Members
Exported Interfaces inherited from XPathSettings
interface | com::sun::star::beans::XPropertySet
| Main interface to have access to the path properties. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Attributes inherited from XPathSettings
string | Addin
| Specifies the directory that contains spreadsheet add-ins which use the old add-in API. More...
string | AutoCorrect
| The settings of the AutoCorrect dialog. More...
string | AutoText
| The directory which contains the AutoText modules. More...
string | Backup
| Automatic backup copies of documents are stored here. More...
string | Basic
| The Basic files, used by the AutoPilots, can be found here. More...
string | Bitmap
| This directory contains the icons for the toolbars. More...
string | Config
| The configuration files are located here. More...
string | Dictionary
| The provided dictionaries are stored here. More...
string | Favorite
| Path to save folder bookmarks. More...
string | Filter
| Specifies the directory where all the filters are stored. More...
string | Gallery
| Specifies the directories which contains the Gallery database and multimedia files. More...
string | Graphic
| This directory is displayed when the dialog for opening a graphic or for saving a new graphic is called. More...
string | Help
| The path to the Office help files. More...
string | Linguistic
| The files that are necessary for the spell check are saved here. More...
string | Module
| This is the path for the modules. More...
string | Palette
| This is the path to the palette files *.SOB to *.SOF containing user-defined colors and patterns. More...
string | Plugin
| Plugins are saved in these directories. More...
string | Storage
| Mail, News files and other information (for example, about FTP Server) are stored here. More...
string | Temp
| The base url to the office temp-files. More...
string | Template
| The templates originate from these folders and sub-folders. More...
string | UIConfig
| Global directories to look for user interface configuration files. More...
string | UserConfig
| Specifies the folder with the user settings. More...
string | UserDictionary
| The custom dictionaries are contained here. More...
string | Work
| The path of the work folder can be modified according to the user's needs. More...
string | BasePathShareLayer
string | BasePathUserLayer

## Detailed Description

A legacy (single-instance) service-variant of thePathSettings singleton.

Deprecated:
  Use thePathSettings singleton instead.

Since
  OOo 1.1.2

Developers Guide
  OfficeDev - Path Settings

The documentation for this service was generated from the following file:

- com/sun/star/util/PathSettings.idl